Get Order by ID
curl --request GET \
--url https://app.polygonone.com/api/orders/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderNumber": "<string>",
"orderDate": "2023-11-07T05:31:56Z",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"contactName": "<string>",
"country": "<string>",
"externalSupplierId": "<string>",
"address": {
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"additional": "<string>",
"validated": true,
"latitude": 123,
"longitude": 123
},
"isCompanySelf": true,
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"suppliers": "<array>",
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
}
]
},
"totalVolume": 123,
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"suppliers": "<array>",
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
},
"quantity": 123
}
],
"ddsReferences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceNumber": "<string>",
"verificationNumber": "<string>"
}
]
}Bestellungen
Bestellung abrufen
GET
/
api
/
orders
/
{id}
Get Order by ID
curl --request GET \
--url https://app.polygonone.com/api/orders/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"orderNumber": "<string>",
"orderDate": "2023-11-07T05:31:56Z",
"supplier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"email": "<string>",
"contactName": "<string>",
"country": "<string>",
"externalSupplierId": "<string>",
"address": {
"street": "<string>",
"postalCode": "<string>",
"city": "<string>",
"additional": "<string>",
"validated": true,
"latitude": 123,
"longitude": 123
},
"isCompanySelf": true,
"articles": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"suppliers": "<array>",
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
}
]
},
"totalVolume": 123,
"lines": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"article": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"internalArticleNr": "<string>",
"externalArticleNr": "<string>",
"hsCode": "<string>",
"ean": "<string>",
"shortDescription": "<string>",
"eudrRelevant": true,
"suppliers": "<array>",
"complianceResults": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"generatedReportUrl": "<string>",
"generatedAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"countryOfProduction": "<string>"
},
"quantity": 123
}
],
"ddsReferences": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"referenceNumber": "<string>",
"verificationNumber": "<string>"
}
]
}Autorisierungen
API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.
Pfadparameter
Antwort
Order details including lines and DDS references
purchase = inbound order from a supplier, sale = outbound order to a customer
Verfügbare Optionen:
purchase, sale Show child attributes
Show child attributes
Sum of all order line quantities
Show child attributes
Show child attributes
DDS statements linked to this order
Show child attributes
Show child attributes
⌘I